package sgc.portal.cd.cd0201.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0201.dto.CD02010001USearch;
import sgc.portal.cd.cd0201.service.CD02010001UService;
import sgc.portal.cd.cd0201.model.CD02010001U;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cd/cd0201")
public class CD02010001UController {
    private final CD02010001UService service;

    public CD02010001UController(CD02010001UService service) {
        this.service = service;
    }
    
    //CON_DAY_WRK 현장일보
    @PostMapping("/CD02010001U/listConDayWrkCalKo")
    public List<EasyHashMap<String, Object>> getListConDayWrkCalKo(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkCalKo(search);
    }
    
    @PostMapping("/CD02010001U/listConDayWrkCalEn")
    public List<EasyHashMap<String, Object>> getListConDayWrkCalEn(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkCalEn(search);
    }
    
    //CON_DAY_WRK 업무
    @PostMapping("/CD02010001U/listConDayWrk")
    public EasyHashMap<String, Object> getListConDayWrk(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrk(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrk")
    public Map<String, String> saveConDayWrk(@RequestBody CD02010001U cD02010001U) {
    	return service.saveConDayWrk(cD02010001U);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkAll")
    public Map<String, String> saveConDayWrkAll(@RequestBody CD02010001U cD02010001U) {
    	return service.saveConDayWrkAll(cD02010001U);
    }
    
    //draft
    @PostMapping("/CD02010001U/draft")
    public Map<String, String> draft(@RequestBody CD02010001U cD02010001U) {
    	return service.draft(cD02010001U);
    }
    
    //CON_DAY_WRK_CN 업무
    @PostMapping("/CD02010001U/listConDayWrkCn")
    public List<EasyHashMap<String, Object>> getListConDayWrkCn(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkCn(search);
    }
    
    //CON_DAY_WRK_MANPWR 출역인원
    @PostMapping("/CD02010001U/listConDayWrkMan")
    public List<EasyHashMap<String, Object>> getListConDayWrkMan(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkMan(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkMan")
    public Map<String, String> saveConDayWrkMan(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkMan(cD02010001U);
    }
    
    //CON_DAY_WRK_EQPM 주요장비
    @PostMapping("/CD02010001U/listConDayWrkEq")
    public List<EasyHashMap<String, Object>> getListConDayWrkEq(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkEq(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkEq")
    public Map<String, String> saveConDayWrkEq(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkEq(cD02010001U);
    }
    
    //CON_DAY_WRK_EQPMPRT 주요장비출력
    @PostMapping("/CD02010001U/listConDayWrkEqprt")
    public List<EasyHashMap<String, Object>> getListConDayWrkEqprt(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkEqprt(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkEqprt")
    public Map<String, String> saveConDayWrkEqprt(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkEqprt(cD02010001U);
    }
    
    //CON_DAY_WRK_BDMT 주요자재
    @PostMapping("/CD02010001U/listConDayWrkBd")
    public List<EasyHashMap<String, Object>> getListConDayWrkBd(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkBd(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkBd")
    public Map<String, String> saveConDayWrkBd(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkBd(cD02010001U);
    }
    
    //CON_DAY_WRK_BDMTPRT 주요자재출력
    @PostMapping("/CD02010001U/listConDayWrkBdprt")
    public List<EasyHashMap<String, Object>> getListConDayWrkBdprt(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkBdprt(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkBdprt")
    public Map<String, String> saveConDayWrkBdprt(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkBdprt(cD02010001U);
    }
    
    //CON_DAY_WRK_PROG Progress
    @PostMapping("/CD02010001U/listConDayWrkPr")
    public List<EasyHashMap<String, Object>> getListConDayWrkPr(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkPr(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkPr")
    public Map<String, String> saveConDayWrkPr(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkPr(cD02010001U);
    }
    
    //CON_DAY_WRK_PHOTO 공정사진
    @PostMapping("/CD02010001U/listConDayWrkPt")
    public List<EasyHashMap<String, Object>> getListConDayWrkPt(@RequestBody CD02010001USearch search) {
        return service.getListConDayWrkPt(search);
    }
    
    @PostMapping("/CD02010001U/saveConDayWrkPt")
    public Map<String, String> saveConDayWrkPt(@RequestBody List<CD02010001U> cD02010001U) {
    	return service.saveConDayWrkPt(cD02010001U);
    }
    
    //CON_DAY_MST_JOBTYP 공종마스터
    @PostMapping("/CD02010001U/listConDayMstJobtypKo")
    public List<EasyHashMap<String, Object>> getListConDayMstJobtypKo(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstJobtypKo(search);
    }
    
    @PostMapping("/CD02010001U/listConDayMstJobtypEn")
    public List<EasyHashMap<String, Object>> getListConDayMstJobtypEn(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstJobtypEn(search);
    }
    
    //CON_DAY_MST_EQPM 장비마스터
    @PostMapping("/CD02010001U/listConDayMstEqpmKo")
    public List<EasyHashMap<String, Object>> getListConDayMstEqpmKo(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstEqpmKo(search);
    }
    
    @PostMapping("/CD02010001U/listConDayMstEqpmEn")
    public List<EasyHashMap<String, Object>> getListConDayMstEqpmEn(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstEqpmEn(search);
    }
    
    //CON_DAY_MST_BDMT 자재마스터
    @PostMapping("/CD02010001U/listConDayMstBdmtKo")
    public List<EasyHashMap<String, Object>> getListConDayMstBdmtKo(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstBdmtKo(search);
    }
    
    @PostMapping("/CD02010001U/listConDayMstBdmtEn")
    public List<EasyHashMap<String, Object>> getListConDayMstBdmtEn(@RequestBody CD02010001USearch search) {
        return service.getListConDayMstBdmtEn(search);
    }
    
    //CON_DAY_SITE_COVEND 공사일보)협력업체
    @PostMapping("/CD02010001U/listConDatSiteCovend")
    public List<EasyHashMap<String, Object>> getListConDaySiteCovend(@RequestBody CD02010001USearch search) {
        return service.getListConDaySiteCovend(search);
    }
}
